Last Comment Bug 746848 - Create pref for webapps installer dry-run
: Create pref for webapps installer dry-run
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 14
Assigned To: :Felipe Gomes (needinfo me!)
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks: 741549
  Show dependency treegraph
 
Reported: 2012-04-18 18:29 PDT by :Felipe Gomes (needinfo me!)
Modified: 2016-02-04 15:00 PST (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (908 bytes, patch)
2012-04-18 18:29 PDT, :Felipe Gomes (needinfo me!)
no flags Details | Diff | Splinter Review
Patch v2 (910 bytes, patch)
2012-04-18 18:32 PDT, :Felipe Gomes (needinfo me!)
gavin.sharp: review+
Details | Diff | Splinter Review

Description :Felipe Gomes (needinfo me!) 2012-04-18 18:29:34 PDT
Created attachment 616408 [details] [diff] [review]
Patch

This would be very helpful during tests of other parts of the api (bug 741549) as to not worry about waiting for the actual installation to happen, and possible garbage left in the slave in case a test fails and does not do proper clean-up.
Comment 1 :Felipe Gomes (needinfo me!) 2012-04-18 18:32:14 PDT
Created attachment 616412 [details] [diff] [review]
Patch v2

(missed closed paren in previous patch)
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-19 09:44:45 PDT
Comment on attachment 616412 [details] [diff] [review]
Patch v2

nit: I kind of prefer just a getBoolPref call in a try/catch, since it's a little easier to read. Alternatively, use a local variable for the pref name so you can re-wrap the if statement onto only two lines.
Comment 3 :Felipe Gomes (needinfo me!) 2012-04-19 18:53:15 PDT
https://hg.mozilla.org/mozilla-central/rev/ac6e651207d3
Comment 4 Jason Smith [:jsmith] 2012-05-04 14:35:32 PDT
Looks like an internal code change. Is there anything from an end-user perspective I can verify here?
Comment 5 Ed Lee :Mardak 2012-05-04 14:41:13 PDT
You can set the pref to confirm that the app doesn't get installed.
Comment 6 Jason Smith [:jsmith] 2012-05-13 16:50:27 PDT
Verified on Win 7 64-bit on Nightly.

Note You need to log in before you can comment on or make changes to this bug.